* {
  font-family: Helvetica, Arial, sans-serif;
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-overflow-scrolling: touch;
}

html {
  max-width: 500px;
  margin: 0 auto;
}

body {
  /* box-shadow: 0 0 14px rgba(0, 0, 0 , 0.1); */
  margin: 0;
  position: relative;
  min-height: 100%;
}

#container {
  /* padding: 20px 20px 60px 20px; */
  padding: 20px;
  height: 100vh;
  overflow-y: auto;
}

p {
  margin: 0px;
}

.logo {
  width: 100%;
  text-align: center;
  background: white;
  position: absolute;
  top: 0%;
  left: 50%;
  transform: translate(-50%, -0%);
  display: block;
  z-index: 999;
}

.logo > img {
  width: 200px;
  padding-top: 20px;
}

#dropin-container {
  margin: 20px 0 100px 0;
}

.redirect-timer {
  display: none;
  margin-bottom: 20px;
}

.amount-container {
  margin: 110px 0 0 0;
  width: 100%;
}

.amount-container > .store-container {
  display: flex;
  align-items: center;
  margin-bottom: 15px;
}

.store-name {
  font-size: 18px;
}

.amount-container > .amount {
  font-size: 30px;
  font-weight: bold;
}

.cancel-container {
  display: none;
  margin-right: 12px;
  transform: rotate(180deg);
}

.cancel-container > button {
  all: unset;
  cursor: pointer;
  font-size: 20px;
}

.cancel-container > button:focus {
  outline: revert;
}

.cancel-container > button:hover {
  /* text-decoration: underline; */
  color: #008263;
}

.loader-container {
  z-index: 9999;
  text-align: center;
  /* margin: 30% 0; */

  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}

#footer {
  position: absolute;
  bottom: 0;
  padding: 20px;
  background-color: white;
}

.loader {
  width: 48px;
  height: 48px;
  border-radius: 50%;
  display: inline-block;
  border-top: 4px solid #7fc1b4;
  border-right: 4px solid transparent;
  box-sizing: border-box;
  animation: rotation 1s linear infinite;
}

.loader::after {
  content: "";
  box-sizing: border-box;
  position: absolute;
  left: 0;
  top: 0;
  width: 48px;
  height: 48px;
  border-radius: 50%;
  border-bottom: 4px solid #008263;
  border-left: 4px solid transparent;
}

@keyframes rotation {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

.timeout-timer {
  display: none;
  margin-bottom: 20px;
}

#timer-min,
#timer-sec {
  font-weight: bold;
}

#click-here {
  color: #409eff;
  cursor: pointer;
}

#click-here:hover {
  color: #337ecc;
  text-decoration: underline;
}
